POLYMAKE(1)

NAME
polymake - tool for algorithmic treatment of polytopes and polyhedra

DESCRIPTION
usage: polymake [options] [arguments] called without arguments:

    start an interactive shell

ARGUMENTS

--help

    print help text and exit

--version

    print the version number, copyright notice, and exit

[--script] [application::]script_file

    execute the perl script in the file If application prefix is specified, this application is loaded and the script file is looked up in its script directory. Prefix none:: suppresses loading any applications before starting the script.

--script [application::]script_file arguments ...

    execute the perl script in the file, passing the arguments in @ARGV

'script text'

    interpret the string as a perl expression

-

    read and execute the commands from the standard input

file PROPERTY | METHOD [ ... ]

    the compatibility mode with polymake <= 2.3: read the object from the data file, print the properties or run the user methods

function ARG ...

    simplified syntax for a user function call; arguments can be data files and numerical or string constants

--touch file [ file ... ]

    read the files and write them out; useful for converting from earlier polymake versions

OPTIONS

-A application_name

    start with this application, ignoring the $default_application and @start_applications settings

-d  produce some debug output; can be repeated to increase the debug level

-v  tell what's going on; can be repeated to increase the verbosity level. This is an obsolete option, please use custom variables $Verbose::* to gain more detailed control.

--reconfigure

    rerun the autoconfiguration sections in all rule files

--reconfigure-rules RULENAME ...

    rerun the autoconfiguration sections in the rule files matching RULENAME

-n  `dry run' mode: show the production rules that would be applied to the object, but don't run any; only applicable to the compatibility mode

-T sec

    set a time limit for the execution of production rules (currently broken)

COPYRIGHT
Copyright © 1997-2009 Ewgenij Gawrilow (TU Berlin), Michael Joswig (TU Darmstadt) http://www.math.tu-berlin.de/polymake, mailto:polymake@math.tu-berlin.de

This is free software licensed under GPL; see the source for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.